ARES_PARSE_NAPTR_REPLY(3)

NAME
ares_parse_naptr_reply - Parse a reply to a DNS query of type NAPTR

SYNOPSIS
#include <ares.h>

int ares_parse_naptr_reply(const unsigned char* abuf, int alen,
                           struct ares_naptr_reply** naptr_out);

DESCRIPTION
The ares_parse_naptr_reply function parses the response to a query of type NAPTR into a linked list of struct ares_naptr_reply The parameters abuf and alen give the contents of the response. The result is stored in allocated memory and a pointer to it stored into the variable pointed to by naptr_out. It is the caller's responsibility to free the resulting naptr_out structure when it is no longer needed using the function ares_free_data(3).

The structure ares_naptr_reply contains the following fields:

struct ares_naptr_reply {
    struct ares_naptr_reply *next;
    unsigned char *flags;
    unsigned char *service;
    unsigned char *regexp;
    char *replacement;
    unsigned short order;
    unsigned short preference;
};

RETURN VALUES
ares_parse_naptr_reply can return any of the following values:

ARES_SUCCESS
    The response was successfully parsed.

ARES_EBADRESP
    The response was malformatted.

ARES_ENODATA
    The response did not contain an answer to the query.

ARES_ENOMEM
    Memory was exhausted.

AVAILABILITY
This function was first introduced in c-ares version 1.7.6.

SEE ALSO
ares_query(3) ares_free_data(3)

AUTHOR
Written by Jakub Hrozek <jhrozek@redhat.com>, on behalf of Red Hat, Inc http://www.redhat.com